package cz.novoj.emt.smtp;

import org.junit.Before;
import org.junit.After;
import org.junit.Test;
import org.subethamail.wiser.Wiser;
import cz.novoj.emt.SmtpMessageSender;
import static org.junit.Assert.*;

import javax.mail.internet.MimeMessage;

/**
 * Description
 *
 * @author Jan Novotn, FG Forrest a.s. (c) 2007
 * @version $Id: $
 */
public class SmtpTest {
	private Wiser wiser;
	private static final int TEST_SMTP_PORT = 5656;

	@Before
	public void init() {
		wiser = new Wiser();
		wiser.setPort(TEST_SMTP_PORT);
		wiser.start();
	}

	@Test
	public void testSendingOfAnEmail() throws Exception {
		SmtpMessageSender smtpSender = new SmtpMessageSender("localhost", TEST_SMTP_PORT, null, null);
		smtpSender.send("novotny@fg.cz", "fakeemail@fake.net", "Ahoj", "Tlo emailu");

		assertEquals(1, wiser.getMessages().size());

		MimeMessage mimeMessage = wiser.getMessages().get(0).getMimeMessage();
		assertEquals("novotny@fg.cz", mimeMessage.getRecipients(MimeMessage.RecipientType.TO)[0].toString());
		assertEquals("fakeemail@fake.net", mimeMessage.getFrom()[0].toString());
		assertEquals("Ahoj", mimeMessage.getSubject());
		assertEquals("Tlo emailu", mimeMessage.getContent());
	}

	@After
	public void clear() {
		wiser.stop();
	}

}
