package cz.novoj.time;
/**
 * Description
 * @author Jan Novotn, FG Forrest a.s. (c) 2007
 * @version $Id: $
 */

import junit.framework.TestCase;
import org.joda.time.DateTime;
import org.joda.time.DateTimeUtils;

import java.util.Locale;

public class JodaDateTimeTest extends TestCase {
	private static final Locale LOCALE_CZECH = new Locale("cs");

	protected void setUp() throws Exception {
		//sets stable time for tests
		DateTimeUtils.setCurrentMillisFixed(
				new DateTime(2007, 12, 12, 18, 0, 0, 0)
						.getMillis()
		);
	}

	protected void tearDown() throws Exception {
		DateTimeUtils.setCurrentMillisSystem();
	}

	public void testGetDayAsText() {
		DateTime.Property currentDayOfWeek = new DateTime().dayOfWeek();
		assertEquals("Steda", currentDayOfWeek.getAsText(LOCALE_CZECH));
	}

	public void testToString() {
		DateTime currentDate = new DateTime();
		assertEquals(
				"Steda, 12. prosinec 2007, 18:00:00",
				currentDate.toString(
					"EEEE, dd. MMMM yyyy, H:mm:ss",
					LOCALE_CZECH
				)
		);
	}

}