package cz.novoj.time;

import junit.framework.TestCase;

import java.util.Locale;
import java.util.Date;
import java.util.GregorianCalendar;
import java.text.SimpleDateFormat;

import org.joda.time.DateTimeUtils;
import org.joda.time.DateTime;

public class SimpleDateFormatTest extends TestCase {
	private static final Locale LOCALE_CZECH = new Locale("cs");
	private SimpleDateFormat fmt;

	protected void setUp() throws Exception {
		fmt = new SimpleDateFormat(
				"EEEE, dd. MMMM yyyy, H:mm:ss", LOCALE_CZECH
		);
	}

	protected void tearDown() throws Exception {
		//release resources if necessary
	}

	public void testFormat() {
		Date dateToTest =
				new GregorianCalendar(2007, 11, 12, 18, 0, 0)
						.getTime();
		assertEquals(
				"Steda, 12. prosinec 2007, 18:00:00",
				fmt.format(dateToTest)
		);
	}

}
