package cz.novoj.web;

import com.gargoylesoftware.htmlunit.WebClient;
import com.gargoylesoftware.htmlunit.html.HtmlAnchor;
import com.gargoylesoftware.htmlunit.html.HtmlForm;
import com.gargoylesoftware.htmlunit.html.HtmlInput;
import com.gargoylesoftware.htmlunit.html.HtmlPage;
import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;
import org.junit.Test;

/**
 * Description
 *
 * @author Jan Novotn, FG Forrest a.s. (c) 2007
 * @version $Id: $
 */
public class HtmlUnitTest {

	@Test
	public void testHomePage() throws Exception {
		final WebClient webClient = new WebClient();
		webClient.setJavaScriptEnabled(false);
		final HtmlPage page = (HtmlPage)webClient.getPage("http://www.seznam.cz");
		assertEquals("Seznam", page.getTitleText());

		HtmlForm form = page.getForms().get(0);
		HtmlInput searchBox = form.getInputByName("q");
		searchBox.setValueAttribute("FG Forrest");
		HtmlPage resultPage = (HtmlPage)form.submit(searchBox);

		HtmlAnchor linkToFg = resultPage.getAnchorByHref("http://www.fg.cz/");
		assertNotNull(linkToFg);
	}

}
